# all files / ol/render/ webgl.js

100% Statements 16/16
83.33% Branches 5/6
100% Functions 1/1
100% Lines 16/16

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    1001×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×
    129×
    129×

    1×
     goog.provide('ol.render.webgl');

    /**
     * @const
     * @type {string}
     */
    ol.render.webgl.defaultFont = '10px sans-serif';

    /**
     * @const
     * @type {ol.Color}
     */
    ol.render.webgl.defaultFillStyle = [0.0, 0.0, 0.0, 1.0];

    /**
     * @const
     * @type {string}
     */
    ol.render.webgl.defaultLineCap = 'round';

    /**
     * @const
     * @type {Array.<number>}
     */
    ol.render.webgl.defaultLineDash = [];

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.defaultLineDashOffset = 0;

    /**
     * @const
     * @type {string}
     */
    ol.render.webgl.defaultLineJoin = 'round';

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.defaultMiterLimit = 10;

    /**
     * @const
     * @type {ol.Color}
     */
    ol.render.webgl.defaultStrokeStyle = [0.0, 0.0, 0.0, 1.0];

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.defaultTextAlign = 0.5;

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.defaultTextBaseline = 0.5;

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.defaultLineWidth = 1;

    /**
     * Calculates the orientation of a triangle based on the determinant method.
     * @param {number} x1 First X coordinate.
     * @param {number} y1 First Y coordinate.
     * @param {number} x2 Second X coordinate.
     * @param {number} y2 Second Y coordinate.
     * @param {number} x3 Third X coordinate.
     * @param {number} y3 Third Y coordinate.
     * @return {boolean|undefined} Triangle is clockwise.
     */
    ol.render.webgl.triangleIsCounterClockwise = function(x1, y1, x2, y2, x3, y3) {
      var area = (x2 - x1) * (y3 - y1) - (x3 - x1) * (y2 - y1);
      return (area <= ol.render.webgl.EPSILON && area >= -ol.render.webgl.EPSILON) ?
        undefined : area > 0;
    };

    /**
     * @const
     * @type {number}
     */
    ol.render.webgl.EPSILON = Number.EPSILON || 2.220446049250313e-16;